> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apinn.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Cotes d'un special

> Interrogeable par event_id OU special_id (les futures ont event_id null). full_history=1 pour la timeline.



## OpenAPI

````yaml /api-reference/openapi.json get /api/specials/odds
openapi: 3.1.0
info:
  title: apinn — Pinnacle Data API
  version: 1.0.0
  description: Cotes Pinnacle en temps réel, format iso Pinnacle Data API.
servers:
  - url: https://api.apinn.io
security:
  - ApiKeyAuth: []
paths:
  /api/specials/odds:
    get:
      summary: Cotes d'un special
      description: >-
        Interrogeable par event_id OU special_id (les futures ont event_id
        null). full_history=1 pour la timeline.
      parameters:
        - name: event_id
          in: query
          schema:
            type: integer
        - name: special_id
          in: query
          schema:
            type: integer
          example: 1631640230
        - name: full_history
          in: query
          schema:
            type: integer
            enum:
              - 0
              - 1
      responses:
        '200':
          description: Cotes du special
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpecialOdds'
              example:
                - event_id: null
                  special_id: 1631640230
                  special_name: UEFA - Champions League Winner
                  contestant_id: 1631655298
                  contestant_name: AEK Athens
                  handicap: null
                  odds: 26
                  todds: 28.4
                  period: 0
                  cutoff: '2026-08-27T11:00:00'
                  timestamp: '2026-07-16T13:15:28'
components:
  schemas:
    SpecialOdds:
      type: object
      properties:
        event_id:
          type:
            - integer
            - 'null'
        special_id:
          type: integer
        special_name:
          type: string
        contestant_id:
          type:
            - integer
            - 'null'
        contestant_name:
          type: string
        handicap:
          type:
            - number
            - 'null'
        odds:
          type:
            - number
            - 'null'
        todds:
          type:
            - number
            - 'null'
          description: True odds (devig).
        period:
          type: integer
        cutoff:
          type:
            - string
            - 'null'
        timestamp:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````